# React to someone else's message
curl -X POST https://api.livchat.ai/v1/messages/react \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"phone": "5511999999999",
"id": "3EB04A45DCA355D01DB68C",
"body": "❤️"
}'
# React to your own message
curl -X POST https://api.livchat.ai/v1/messages/react \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"phone": "5511999999999",
"id": "me:3EB04A45DCA355D01DB68C",
"body": "👍"
}'
// React to a message
const response = await fetch("https://api.livchat.ai/v1/messages/react", {
method: "POST",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
phone: "5511999999999",
id: "3EB04A45DCA355D01DB68C",
body: "❤️",
}),
});
{
"success": true,
"code": 200,
"data": {
"details": "Sent",
"id": "3EB04A45DCA355D01DB68C"
}
}
Messages
React to Message
Add a reaction emoji to a message
POST
/
v1
/
messages
/
react
# React to someone else's message
curl -X POST https://api.livchat.ai/v1/messages/react \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"phone": "5511999999999",
"id": "3EB04A45DCA355D01DB68C",
"body": "❤️"
}'
# React to your own message
curl -X POST https://api.livchat.ai/v1/messages/react \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"phone": "5511999999999",
"id": "me:3EB04A45DCA355D01DB68C",
"body": "👍"
}'
// React to a message
const response = await fetch("https://api.livchat.ai/v1/messages/react", {
method: "POST",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
phone: "5511999999999",
id: "3EB04A45DCA355D01DB68C",
body: "❤️",
}),
});
{
"success": true,
"code": 200,
"data": {
"details": "Sent",
"id": "3EB04A45DCA355D01DB68C"
}
}
Send a reaction emoji to an existing message.
Request Body
string
required
Phone number of the chat where the message is
string
required
Message ID to react to. Prefix with
me: for your own messages.string
required
Reaction emoji (e.g.,
❤️, 👍, 😂)Remove Reaction
To remove a reaction, send an empty string as the body:{
"phone": "5511999999999",
"id": "3EB04A45DCA355D01DB68C",
"body": ""
}
# React to someone else's message
curl -X POST https://api.livchat.ai/v1/messages/react \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"phone": "5511999999999",
"id": "3EB04A45DCA355D01DB68C",
"body": "❤️"
}'
# React to your own message
curl -X POST https://api.livchat.ai/v1/messages/react \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"phone": "5511999999999",
"id": "me:3EB04A45DCA355D01DB68C",
"body": "👍"
}'
// React to a message
const response = await fetch("https://api.livchat.ai/v1/messages/react", {
method: "POST",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
phone: "5511999999999",
id: "3EB04A45DCA355D01DB68C",
body: "❤️",
}),
});
{
"success": true,
"code": 200,
"data": {
"details": "Sent",
"id": "3EB04A45DCA355D01DB68C"
}
}
⌘I